| Home · All Classes · All Namespaces · Modules · Functions · Files

Public Member Functions
Tp::StreamTubeServer::Tube Class Reference

The StreamTubeServer::Tube class represents a tube being handled by the server. More...

`#include <TelepathyQt/StreamTubeServer>`

List of all members.

## Public Member Functions

- Tube ()
- Tube (const AccountPtr &account, const OutgoingStreamTubeChannelPtr &channel)
- Tube (const Tube &other)
- ~Tube ()
- bool isValid () const
- Tube & operator= (const Tube &other)
- const AccountPtr & account () const
- const
  OutgoingStreamTubeChannelPtr & channel () const

## Detailed Description

The StreamTubeServer::Tube class represents a tube being handled by the server.

## Constructor & Destructor Documentation

Tp::StreamTubeServer::Tube::Tube | ( |  | ) |

Constructs a new invalid Tube instance.

Tp::StreamTubeServer::Tube::Tube | ( | const AccountPtr & | account,
|  | const OutgoingStreamTubeChannelPtr & | channel
| ) |  |

Constructs a Tube instance for the given tube channel originating from the given account.

Parameters:

  account | A pointer to the account object.
  channel | A pointer to the tube channel object.

Tp::StreamTubeServer::Tube::Tube | ( | const Tube & | other | ) |

Copy constructor.

Tp::StreamTubeServer::Tube::~Tube | ( |  | ) |

Class destructor.

## Member Function Documentation

bool Tp::StreamTubeServer::Tube::isValid | ( |  | ) | const`[inline]`

Return whether or not the tube is valid or is just the null object created using the default constructor.

Returns:
  `true` if valid, `false` otherwise.

StreamTubeServer::Tube & Tp::StreamTubeServer::Tube::operator= | ( | const Tube & | other | ) |

Assignment operator.

AccountPtr Tp::StreamTubeServer::Tube::account | ( |  | ) | const`[inline]`

Return the account from which the tube originates.

Returns:
  A pointer to the account object.

OutgoingStreamTubeChannelPtr Tp::StreamTubeServer::Tube::channel | ( |  | ) | const`[inline]`

Return the actual tube channel.

Returns:
  A pointer to the channel.